# How to use GitLab Development Kit

See the [top level README](../../README.md#getting-started) for GDK
installation instructions.

Main purpose of GitLab Development Kit is to make GitLab development easier.
Please see [GitLab Contributor documentation](https://docs.gitlab.com/ee/development/README.html)
to learn how to contribute to GitLab.

## Basic

- [Browse your development GitLab server](browse.md)
- [GitLab developer documentation](https://docs.gitlab.com/ee/development/README.html)
- [GDK commands](../gdk_commands.md)
- [Installation, configuration and development troubleshooting](../troubleshooting.md)
- [Cheat sheet](../../HELP): `cat HELP`

## Tips and tricks

- [GitLab performance metrics](performance_metrics.md)
- [Local network binding](local_network.md)
- [Load testing](load_testing.md)
- [Configuration](../configuration.md)

## Special topics

- [Simulate slow or broken repository storage](simulate_storage.md)
- [PostgreSQL](postgresql.md)
- [GitLab Geo](geo.md)
- [LDAP](ldap.md)
- [Elasticsearch](elasticsearch.md)
- [NFS](nfs.md)
- [HTTPS](nginx.md)
- [SSH](ssh.md)
- [Gitaly and Praefect](gitaly.md)
- [Git push options](git_push_options.md)
- [Serverless (Knative)](serverless.md)
- [Using GitLab Runner with GDK](runner.md)
- [Using Prometheus with GDK](prometheus/index.md)
- [Using Container Registry with GDK](registry.md)
- [Preview and test the docs site locally](gitlab_docs.md)
- [Auto DevOps](auto_devops.md)
- [Google OAuth2](google-oauth2.md)
- [Unicorn](unicorn.md)
- [Debugging with Pry](pry.md)
- [Asset Proxy / Camo Server](asset_proxy.md)
- [Email](email.md)
- [Dependency Proxy](dependency_proxy.md)
